[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-Id: <20211203023213.5021-1-zhijianx.li@intel.com>
Date: Fri, 3 Dec 2021 10:32:13 +0800
From: Li Zhijian <zhijianx.li@...el.com>
To: davem@...emloft.net, kuba@...nel.org, shuah@...nel.org
Cc: netdev@...r.kernel.org, linux-kselftest@...r.kernel.org,
linux-kernel@...r.kernel.org, Li Zhijian <zhijianx.li@...el.com>,
Philip Li <philip.li@...el.com>,
kernel test robot <lkp@...el.com>
Subject: [PATCH] selftests: net/fcnal-test.sh: add exit code
Previously, the selftest framework always treats it as *ok* even though
some of them are failed actually. That's because the script always
returns 0.
It supports PASS/FAIL/SKIP exit code now.
CC: Philip Li <philip.li@...el.com>
Reported-by: kernel test robot <lkp@...el.com>
Signed-off-by: Li Zhijian <zhijianx.li@...el.com>
---
tools/testing/selftests/net/fcnal-test.sh | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 3313566ce906..46297ceaa6d1 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -4077,3 +4077,11 @@ cleanup 2>/dev/null
printf "\nTests passed: %3d\n" ${nsuccess}
printf "Tests failed: %3d\n" ${nfail}
+
+if [ $nfail -ne 0 ]; then
+ exit 1 # KSFT_FAIL
+elif [ $nsuccess -eq 0 ]; then
+ exit $ksft_skip
+fi
+
+exit 0 # KSFT_PASS
--
2.32.0
Powered by blists - more mailing lists